Syncthing GTK fails on libffi.so.6 not found, OpenSuSE Tumbleweed

(David R) #1

Hi, The Syncthing GTK client, 0.9.4.3 downloaded from the Syncthing website, fails to run on OpenSuSE Tumbleweed as follows:

Traceback (most recent call last): File “”, line 1, in File “/tmp/.mount_SyncthVrHZAK/usr/lib/python2.7/site-packages/gi/init.py”, line 42, in from . import _gi ImportError: libffi.so.6: cannot open shared object file: No such file or directory

As a quick test, I copied /usr/lib64/libffi.so.7.1.0 to /usr/lib64/libffi.so.6 and the GTK client runs fine.

I don’t think this is a true bug, but it seems that Syncthing GTK isn’t up to date with current Linux distros. If there’s a lot of variation in libffi versions, perhaps it should be packaged with the appimage??

Regards, -David

(system) closed #2

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.